// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_Switch.h"
#include "SCW_UK2Node.h"

class UK2Node_Switch;

namespace Sourcify
{
	class SCW_UK2Node_Switch : public SCW_UK2Node, public virtual ISCW_UK2Node_Switch
	{
	public:
		SCW_UK2Node_Switch(UK2Node_Switch* InK2Node_Switch);

		UK2Node_Switch* ToUK2Node_Switch() const;

		ISCW_UK2Node_SwitchPtr ToUK2Node_SwitchPtr() override;
		ISCW_UK2Node_SwitchConstPtr ToUK2Node_SwitchPtr() const override;

	protected:
		UK2Node_Switch* K2Node_Switch;
	};
} // namespace Sourcify